# Makefile.in generated by automake 1.15.1 from Makefile.am. # @configure_input@

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation # gives unlimited permission to copy and/or distribute it, # with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY, to the extent permitted by law; without # even the implied warranty of MERCHANTABILITY or FITNESS FOR A # PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@ am__is_gnu_make = { \

if test -z '$(MAKELEVEL)'; then \
  false; \
elif test -n '$(MAKE_HOST)'; then \
  true; \
elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  true; \
else \
  false; \
fi; \

} am__make_running_with_option = \

case $${target_option-} in \
    ?) ;; \
     ) echo "am__make_running_with_option: internal error: invalid" \
            "target option '$${target_option-}' specified" >&2; \
       exit 1;; \
esac; \
has_opt=no; \
sane_makeflags=$$MAKEFLAGS; \
if $(am__is_gnu_make); then \
  sane_makeflags=$$MFLAGS; \
else \
  case $$MAKEFLAGS in \
     \\[\ \   ]*) \
      bs=\\; \
      sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
        | sed "s/$$bs$$bs[$$bs $$bs   ]  /g"`;; \
  esac; \
fi; \
skip_next=no; \
strip_trailopt () \
{ \
  flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
}; \
for flg in $$sane_makeflags; do \
  test $$skip_next = yes && { skip_next=no; continue; }; \
  case $$flg in \
     =*|--*) continue;; \
      -*I) strip_trailopt 'I'; skip_next=yes;; \
    -*I?*) strip_trailopt 'I';; \
      -*O) strip_trailopt 'O'; skip_next=yes;; \
    -*O?*) strip_trailopt 'O';; \
      -*l) strip_trailopt 'l'; skip_next=yes;; \
    -*l?*) strip_trailopt 'l';; \
    -[dEDm]) skip_next=yes;; \
    -[JT]) skip_next=yes;; \
  esac; \
  case $$flg in \
     $$target_option*) has_opt=yes; break;; \
  esac; \
done; \
test $$has_opt = yes

am__make_dryrun = (target_option=n; $(am__make_running_with_option)) am__make_keepgoing = (target_option=k; $(am__make_running_with_option)) pkgdatadir = $(datadir)/@PACKAGE@ pkgincludedir = $(includedir)/@PACKAGE@ pkglibdir = $(libdir)/@PACKAGE@ pkglibexecdir = $(libexecdir)/@PACKAGE@ am__cd = CDPATH=“$${ZSH_VERSION+.}$(PATH_SEPARATOR)” && cd install_sh_DATA = $(install_sh) -c -m 644 install_sh_PROGRAM = $(install_sh) -c install_sh_SCRIPT = $(install_sh) -c INSTALL_HEADER = $(INSTALL_DATA) transform = $(program_transform_name) NORMAL_INSTALL = : PRE_INSTALL = : POST_INSTALL = : NORMAL_UNINSTALL = : PRE_UNINSTALL = : POST_UNINSTALL = : build_triplet = @build@ host_triplet = @host@ noinst_PROGRAMS = unittest$(EXEEXT) TESTS = unittest$(EXEEXT) subdir = test ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 am__aclocal_m4_deps = $(top_srcdir)/check_stdcxx_11.ac \

$(top_srcdir)/ruby.ac $(top_srcdir)/doxygen.ac \
$(top_srcdir)/configure.ac

am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \

$(ACLOCAL_M4)

DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON) mkinstalldirs = $(install_sh) -d CONFIG_HEADER = $(top_builddir)/rice/config.hpp CONFIG_CLEAN_FILES = CONFIG_CLEAN_VPATH_FILES = PROGRAMS = $(noinst_PROGRAMS) am_unittest_OBJECTS = unittest.$(OBJEXT) \

test_Address_Registration_Guard.$(OBJEXT) test_Array.$(OBJEXT) \
test_Builtin_Object.$(OBJEXT) test_Class.$(OBJEXT) \
test_Constructor.$(OBJEXT) test_Data_Object.$(OBJEXT) \
test_Data_Type.$(OBJEXT) test_Director.$(OBJEXT) \
test_Enum.$(OBJEXT) test_Exception.$(OBJEXT) \
test_Hash.$(OBJEXT) test_Identifier.$(OBJEXT) \
test_Jump_Tag.$(OBJEXT) test_Memory_Management.$(OBJEXT) \
test_Module.$(OBJEXT) test_Object.$(OBJEXT) \
test_String.$(OBJEXT) test_Struct.$(OBJEXT) \
test_Symbol.$(OBJEXT) test_To_From_Ruby.$(OBJEXT) \
test_global_functions.$(OBJEXT)

unittest_OBJECTS = $(am_unittest_OBJECTS) unittest_LDADD = $(LDADD) AM_V_P = $(am__v_P_@AM_V@) am__v_P_ = $(am__v_P_@AM_DEFAULT_V@) am__v_P_0 = false am__v_P_1 = : AM_V_GEN = $(am__v_GEN_@AM_V@) am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) am__v_GEN_0 = @echo “ GEN ” $@; am__v_GEN_1 = AM_V_at = $(am__v_at_@AM_V@) am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) am__v_at_0 = @ am__v_at_1 = DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/rice depcomp = $(SHELL) $(top_srcdir)/depcomp am__depfiles_maybe = depfiles am__mv = mv -f CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \

$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)

AM_V_CXX = $(am__v_CXX_@AM_V@) am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@) am__v_CXX_0 = @echo “ CXX ” $@; am__v_CXX_1 = CXXLD = $(CXX) CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \

-o $@

AM_V_CXXLD = $(am__v_CXXLD_@AM_V@) am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@) am__v_CXXLD_0 = @echo “ CXXLD ” $@; am__v_CXXLD_1 = SOURCES = $(unittest_SOURCES) DIST_SOURCES = $(unittest_SOURCES) RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \

ctags-recursive dvi-recursive html-recursive info-recursive \
install-data-recursive install-dvi-recursive \
install-exec-recursive install-html-recursive \
install-info-recursive install-pdf-recursive \
install-ps-recursive install-recursive installcheck-recursive \
installdirs-recursive pdf-recursive ps-recursive \
tags-recursive uninstall-recursive

am__can_run_installinfo = \

case $$AM_UPDATE_INFO_DIR in \
  n|no|NO) false;; \
   ) (install-info --version) >/dev/null 2>&1;; \
esac

RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \

distclean-recursive maintainer-clean-recursive

am__recursive_targets = \

$(RECURSIVE_TARGETS) \
$(RECURSIVE_CLEAN_TARGETS) \
$(am__extra_recursive_targets)

AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \

check recheck distdir

am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) # Read a list of newline-separated strings from the standard input, # and print each of them once, without duplicates. Input order is # not preserved. am__uniquify_input = $(AWK) '\

BEGIN { nonempty = 0; } \
{ items[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in items) print i; }; } \

' # Make sure the list of sources is unique. This is necessary because, # e.g., the same source file might be shared among _SOURCES variables # for different programs/libraries. am__define_uniq_tagged_files = \

list='$(am__tagged_files)';  unique=%x`for i in $$list; do \
  if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | $(am__uniquify_input)`

ETAGS = etags CTAGS = ctags am__tty_colors_dummy = \

mgn= red= grn= lgn= blu= brg= std=; \
am__color_tests=no

am__tty_colors = { \

$(am__tty_colors_dummy); \
if test "X$(AM_COLOR_TESTS)" = Xno; then \
  am__color_tests=no; \
elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  am__color_tests=yes; \
elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  am__color_tests=yes; \
fi; \
if test $$am__color_tests = yes; then \
  red=''; \
  grn=''; \
  lgn=''; \
  blu=''; \
  mgn=''; \
  brg=''; \
  std=''; \
fi; \

} am__vpath_adj_setup = srcdirstrip=`echo “$(srcdir)” | sed 's|.|.|g'`; am__vpath_adj = case $$p in \

  $(srcdir)  ) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
   ) f=$$p;; \
esac;

am__strip_dir = f=`echo $$p | sed -e 's|^. ||'`; am__install_max = 40 am__nobase_strip_setup = \

srcdirstrip=%x`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`

am__nobase_strip = \

for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"

am__nobase_list = $(am__nobase_strip_setup); \

for p in $$list; do echo "$$p $$p"; done | \
sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
$(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  if (++n[$$2] == $(am__install_max)) \
    { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  END { for (dir in files) print dir, files[dir] }'

am__base_list = \

sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'

am__uninstall_files_from_dir = { \

test -z "$$files" \
  || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
       $(am__cd) "$$dir" && rm -f $$files; }; \
}

am__recheck_rx = ^[ ]*:recheck:[ ]* am__global_test_result_rx = ^[ ]*:global-test-result:[ ]* am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]* # A command that, given a newline-separated list of test names on the # standard input, print the name of the tests that are to be re-run # upon “make recheck”. am__list_recheck_tests = $(AWK) '{ \

recheck = 1; \
while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  { \
    if (rc < 0) \
      { \
        if ((getline line2 < ($$0 ".log")) < 0) \
          recheck = 0; \
        break; \
      } \
    else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
      { \
        recheck = 0; \
        break; \
      } \
    else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
      { \
        break; \
      } \
  }; \
if (recheck) \
  print $$0; \
close ($$0 ".trs"); \
close ($$0 ".log"); \

}' # A command that, given a newline-separated list of test names on the # standard input, create the global log from their .trs and .log files. am__create_global_log = $(AWK) ' \ function fatal(msg) \ { \

print "fatal: making $@: " msg | "cat >&2"; \
exit 1; \

} \ function rst_section(header) \ { \

print header; \
len = length(header); \
for (i = 1; i <= len; i = i + 1) \
  printf "="; \
printf "\n\n"; \

} \ { \

copy_in_global_log = 1; \
global_test_result = "RUN"; \
while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  { \
    if (rc < 0) \
       fatal("failed to read from " $$0 ".trs"); \
    if (line ~ /$(am__global_test_result_rx)/) \
      { \
        sub("$(am__global_test_result_rx)", "", line); \
        sub("[        ]*$$", "", line); \
        global_test_result = line; \
      } \
    else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
      copy_in_global_log = 0; \
  }; \
if (copy_in_global_log) \
  { \
    rst_section(global_test_result ": " $$0); \
    while ((rc = (getline line < ($$0 ".log"))) != 0) \
    { \
      if (rc < 0) \
        fatal("failed to read from " $$0 ".log"); \
      print line; \
    }; \
    printf "\n"; \
  }; \
close ($$0 ".trs"); \
close ($$0 ".log"); \

}' # Restructured Text title. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; } # Solaris 10 'make', and several other traditional 'make' implementations, # pass “-e” to $(SHELL), and POSIX 2008 even requires this. Work around it # by disabling -e (using the XSI extension “set +e”) if it's set. am__sh_e_setup = case $$- in e) set +e;; esac # Default flags passed to test drivers. am__common_driver_flags = \

--color-tests "$$am__color_tests" \
--enable-hard-errors "$$am__enable_hard_errors" \
--expect-failure "$$am__expect_failure"

# To be inserted before the command running the test. Creates the # directory for the log if needed. Stores in $dir the directory # containing $f, in $tst the test, in $log the log. Executes the # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and # passes TESTS_ENVIRONMENT. Set up options for the wrapper that # will run the test scripts (or their associated LOG_COMPILER, if # thy have one). am__check_pre = \ $(am__sh_e_setup); \ $(am__vpath_adj_setup) $(am__vpath_adj) \ $(am__tty_colors); \ srcdir=$(srcdir); export srcdir; \ case “$@” in \

) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
) am__odir=.;;                                     \

esac; \ test “x$$am__odir” = x“.” || test -d “$$am__odir” \

|| $(MKDIR_P) "$$am__odir" || exit $$?;               \

if test -f “./$$f”; then dir=./; \ elif test -f “$$f”; then dir=; \ else dir=“$(srcdir)/”; fi; \ tst=$$dir$$f; log='$@'; \ if test -n '$(DISABLE_HARD_ERRORS)'; then \

am__enable_hard_errors=no;                            \

else \

am__enable_hard_errors=yes;                           \

fi; \ case “ $(XFAIL_TESTS) ” in \

[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
 am__expect_failure=yes;;                            \
)                                                    \
 am__expect_failure=no;;                             \

esac; \ $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT) # A shell command to get the names of the tests scripts with any registered # extension removed (i.e., equivalently, the names of the test logs, with # the '.log' extension removed). The result is saved in the shell variable # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly, # we cannot use something simpler, involving e.g., “$(TEST_LOGS:.log=)”, # since that might cause problem with VPATH rewrites for suffix-less tests. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'. am__set_TESTS_bases = \

bases='$(TEST_LOGS)';  bases=%x`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`;  bases=%x`echo $$bases`

RECHECK_LOGS = $(TEST_LOGS) TEST_SUITE_LOG = test-suite.log TEST_EXTENSIONS = @EXEEXT@ .test LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS) am__set_b = \

case '$@' in \
   /*) \
    case '$*' in \
       /*) b='$*';; \
         ) b=`echo '$@' | sed 's/\.log$$//'`; \
     esac;; \
   ) \
    b='$*';; \
esac

am__test_logs1 = $(TESTS:=.log) am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log) TEST_LOGS = $(am__test_logs2:.test.log=.log) TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \

$(TEST_LOG_FLAGS)

DIST_SUBDIRS = $(SUBDIRS) am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \

$(top_srcdir)/test-driver

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) am__relativize = \

dir0=`pwd`; \
sed_first='s,^\([^/]*\)/.*$$,\1,'; \
sed_rest='s,^[^/]*/*,,'; \
sed_last='s,^.*/\([^/]*\)$$,\1,'; \
sed_butlast='s,/*[^/]*$$,,'; \
while test -n "$$dir1"; do \
  first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  if test "$$first" != "."; then \
    if test "$$first" = ".."; then \
      dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
      dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
    else \
      first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
      if test "$$first2" = "$$first"; then \
        dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
      else \
        dir2="../$$dir2"; \
      fi; \
      dir0="$$dir0"/"$$first"; \
    fi; \
  fi; \
  dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
done; \
reldir="$$dir2"

ACLOCAL = @ACLOCAL@ AMTAR = @AMTAR@ AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@ AUTOCONF = @AUTOCONF@ AUTOHEADER = @AUTOHEADER@ AUTOMAKE = @AUTOMAKE@ AWK = @AWK@ CPPFLAGS = @CPPFLAGS@ CXX = @CXX@ CXXDEPMODE = @CXXDEPMODE@ CXXFLAGS = @CXXFLAGS@ CYGPATH_W = @CYGPATH_W@ DEFS = @DEFS@ DEPDIR = @DEPDIR@ DOXYGEN_PAPER_SIZE = @DOXYGEN_PAPER_SIZE@ DX_CONFIG = @DX_CONFIG@ DX_DOCDIR = @DX_DOCDIR@ DX_DOT = @DX_DOT@ DX_DOXYGEN = @DX_DOXYGEN@ DX_DVIPS = @DX_DVIPS@ DX_EGREP = @DX_EGREP@ DX_ENV = @DX_ENV@ DX_FLAG_chi = @DX_FLAG_chi@ DX_FLAG_chm = @DX_FLAG_chm@ DX_FLAG_doc = @DX_FLAG_doc@ DX_FLAG_dot = @DX_FLAG_dot@ DX_FLAG_html = @DX_FLAG_html@ DX_FLAG_man = @DX_FLAG_man@ DX_FLAG_pdf = @DX_FLAG_pdf@ DX_FLAG_ps = @DX_FLAG_ps@ DX_FLAG_rtf = @DX_FLAG_rtf@ DX_FLAG_xml = @DX_FLAG_xml@ DX_HHC = @DX_HHC@ DX_LATEX = @DX_LATEX@ DX_MAKEINDEX = @DX_MAKEINDEX@ DX_PDFLATEX = @DX_PDFLATEX@ DX_PERL = @DX_PERL@ DX_PROJECT = @DX_PROJECT@ ECHO_C = @ECHO_C@ ECHO_N = @ECHO_N@ ECHO_T = @ECHO_T@ EXEEXT = @EXEEXT@ HAVE_CXX11 = @HAVE_CXX11@ INSTALL = @INSTALL@ INSTALL_DATA = @INSTALL_DATA@ INSTALL_PROGRAM = @INSTALL_PROGRAM@ INSTALL_SCRIPT = @INSTALL_SCRIPT@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ LDFLAGS = @LDFLAGS@ LIBOBJS = @LIBOBJS@ LIBS = \

-lrice \
$(RUBY_LIBS) \
$(RUBY_LIBRUBYARG)

LTLIBOBJS = @LTLIBOBJS@ MAKEINFO = @MAKEINFO@ MKDIR_P = @MKDIR_P@ OBJEXT = @OBJEXT@ PACKAGE = @PACKAGE@ PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ PACKAGE_NAME = @PACKAGE_NAME@ PACKAGE_STRING = @PACKAGE_STRING@ PACKAGE_TARNAME = @PACKAGE_TARNAME@ PACKAGE_URL = @PACKAGE_URL@ PACKAGE_VERSION = @PACKAGE_VERSION@ PATH_SEPARATOR = @PATH_SEPARATOR@ RANLIB = @RANLIB@ RICE_CPPFLAGS = @RICE_CPPFLAGS@ RICE_LDFLAGS = @RICE_LDFLAGS@ RICE_ROOT = @RICE_ROOT@ RICE_SAMPLES = @RICE_SAMPLES@ RICE_USING_MINGW32 = @RICE_USING_MINGW32@ RUBY = @RUBY@ RUBY_CFLAGS = @RUBY_CFLAGS@ RUBY_CPPFLAGS = @RUBY_CPPFLAGS@ RUBY_CXXFLAGS = @RUBY_CXXFLAGS@ RUBY_LDFLAGS = @RUBY_LDFLAGS@ RUBY_LIBRUBYARG = @RUBY_LIBRUBYARG@ RUBY_LIBRUBYARG_STATIC = @RUBY_LIBRUBYARG_STATIC@ RUBY_LIBS = @RUBY_LIBS@ RUBY_SITELIBDIR = @RUBY_SITELIBDIR@ RUBY_VERSION_CODE = @RUBY_VERSION_CODE@ SET_MAKE = @SET_MAKE@ SHELL = @SHELL@ STRIP = @STRIP@ VERSION = @VERSION@ abs_builddir = @abs_builddir@ abs_srcdir = @abs_srcdir@ abs_top_builddir = @abs_top_builddir@ abs_top_srcdir = @abs_top_srcdir@ ac_ct_CXX = @ac_ct_CXX@ am__include = @am__include@ am__leading_dot = @am__leading_dot@ am__quote = @am__quote@ am__tar = @am__tar@ am__untar = @am__untar@ bindir = @bindir@ build = @build@ build_alias = @build_alias@ build_cpu = @build_cpu@ build_os = @build_os@ build_vendor = @build_vendor@ builddir = @builddir@ datadir = @datadir@ datarootdir = @datarootdir@ docdir = @docdir@ dvidir = @dvidir@ exec_prefix = @exec_prefix@ host = @host@ host_alias = @host_alias@ host_cpu = @host_cpu@ host_os = @host_os@ host_vendor = @host_vendor@ htmldir = @htmldir@ includedir = @includedir@ infodir = @infodir@ install_sh = @install_sh@ libdir = @libdir@ libexecdir = @libexecdir@ localedir = @localedir@ localstatedir = @localstatedir@ mandir = @mandir@ mkdir_p = @mkdir_p@ oldincludedir = @oldincludedir@ pdfdir = @pdfdir@ prefix = @prefix@ program_transform_name = @program_transform_name@ psdir = @psdir@ sbindir = @sbindir@ sharedstatedir = @sharedstatedir@ srcdir = @srcdir@ sysconfdir = @sysconfdir@ target_alias = @target_alias@ top_build_prefix = @top_build_prefix@ top_builddir = @top_builddir@ top_srcdir = @top_srcdir@ SUBDIRS = ext unittest_SOURCES = \

unittest.cpp  test_Address_Registration_Guard.cpp  test_Array.cpp  test_Builtin_Object.cpp  test_Class.cpp  test_Constructor.cpp  test_Data_Object.cpp  test_Data_Type.cpp  test_Director.cpp  test_Enum.cpp  test_Exception.cpp  test_Hash.cpp  test_Identifier.cpp  test_Jump_Tag.cpp  test_Memory_Management.cpp  test_Module.cpp  test_Object.cpp  test_String.cpp  test_Struct.cpp  test_Symbol.cpp  test_To_From_Ruby.cpp  test_global_functions.cpp

AM_CPPFLAGS = \

-I.. \
$(RUBY_CFLAGS)

AM_CXXLAGS = \

$(RUBY_CXXFLAGS)

AM_LDFLAGS = \

$(RUBY_LDFLAGS) \
-L../rice

all: all-recursive

.SUFFIXES: .SUFFIXES: .cpp .log .o .obj .test .test$(EXEEXT) .trs $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)

  @for dep in $?; do \
    case '$(am__configure_deps)' in \
$$dep*) \
        ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
          && { if test -f $@; then exit 0; else break; fi; }; \
        exit 1;; \
    esac; \
  done; \
  echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
  $(am__cd) $(top_srcdir) && \
    $(AUTOMAKE) --gnu test/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status

    @case '$?' in \
config.status*) \
        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
) \
        echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
        cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
    esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)

cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: $(am__configure_deps)

cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(ACLOCAL_M4): $(am__aclocal_m4_deps)

cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:

-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

unittest$(EXEEXT): $(unittest_OBJECTS) $(unittest_DEPENDENCIES) $(EXTRA_unittest_DEPENDENCIES)

@rm -f unittest$(EXEEXT)
$(AM_V_CXXLD)$(CXXLINK) $(unittest_OBJECTS) $(unittest_LDADD) $(LIBS)

mostlyclean-compile:

-rm -f *.$(OBJEXT)

distclean-compile:

-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Address_Registration_Guard.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Array.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Builtin_Object.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Class.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Constructor.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Data_Object.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Data_Type.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Director.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Enum.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Exception.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Hash.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Identifier.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Jump_Tag.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Memory_Management.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Module.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Object.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_String.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Struct.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Symbol.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_To_From_Ruby.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_global_functions.Po@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unittest.Po@am__quote@

.cpp.o: @am__fastdepCXX_TRUE@ $(AM_V_CXX)depbase=`echo $@ | sed 's|*$$|$(DEPDIR)/&|;s|.o$$||'`;\ @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\ @am__fastdepCXX_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@ @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<

.cpp.obj: @am__fastdepCXX_TRUE@ $(AM_V_CXX)depbase=`echo $@ | sed 's|*$$|$(DEPDIR)/&|;s|.obj$$||'`;\ @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\ @am__fastdepCXX_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@ @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

# This directory's subdirectories are mostly independent; you can cd # into them and run 'make' without going through this Makefile. # To change the values of 'make' variables: instead of editing Makefiles, # (1) if the variable is set in 'config.status', edit 'config.status' # (which will cause the Makefiles to be regenerated when you run 'make'); # (2) otherwise, pass the desired values on the 'make' command line. $(am__recursive_targets):

    @fail=; \
    if $(am__make_keepgoing); then \
      failcom='fail=yes'; \
    else \
      failcom='exit 1'; \
    fi; \
    dot_seen=no; \
    target=`echo $@ | sed s/-recursive//`; \
    case "$@" in \
      distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
) list='$(SUBDIRS)' ;; \
    esac; \
    for subdir in $$list; do \
      echo "Making $$target in $$subdir"; \
      if test "$$subdir" = "."; then \
        dot_seen=yes; \
        local_target="$$target-am"; \
      else \
        local_target="$$target"; \
      fi; \
      ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
      || eval $$failcom; \
    done; \
    if test "$$dot_seen" = "no"; then \
      $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    fi; test -z "$$fail"

ID: $(am__tagged_files)

$(am__define_uniq_tagged_files); mkid -fID $$unique

tags: tags-recursive TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)

set x; \
here=`pwd`; \
if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  include_option=--etags-include; \
  empty_fix=.; \
else \
  include_option=--include; \
  empty_fix=; \
fi; \
list='$(SUBDIRS)'; for subdir in $$list; do \
  if test "$$subdir" = .; then :; else \
    test ! -f $$subdir/TAGS || \
      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  fi; \
done; \
$(am__define_uniq_tagged_files); \
shift; \
if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  test -n "$$unique" || unique=$$empty_fix; \
  if test $$# -gt 0; then \
    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
      "$$@" $$unique; \
  else \
    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
      $$unique; \
  fi; \
fi

ctags: ctags-recursive

CTAGS: ctags ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)

$(am__define_uniq_tagged_files); \
test -z "$(CTAGS_ARGS)$$unique" \
  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
     $$unique

GTAGS:

here=`$(am__cd) $(top_builddir) && pwd` \
  && $(am__cd) $(top_srcdir) \
  && gtags -i $(GTAGS_ARGS) "$$here"

cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)

    list='$(am__tagged_files)'; \
    case "$(srcdir)" in \
      [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
) sdir=$(subdir)/$(srcdir) ;; \
    esac; \
    for i in $$list; do \
      if test -f "$$i"; then \
        echo "$(subdir)/$$i"; \
      else \
        echo "$$sdir/$$i"; \
      fi; \
    done >> $(top_builddir)/cscope.files

distclean-tags:

-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

# Recover from deleted '.trs' file; this should ensure that # “rm -f foo.log; make foo.trs” re-run 'foo.test', and re-create # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells # to avoid problems with “make -n”. .log.trs:

rm -f $< $@
$(MAKE) $(AM_MAKEFLAGS) $<

# Leading 'am–fnord' is there to ensure the list of targets does not # expand to empty, as could happen e.g. with make check TESTS=''. am–fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck) am–force-recheck:

@:

$(TEST_SUITE_LOG): $(TEST_LOGS)

@$(am__set_TESTS_bases); \
am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
redo_bases=`for i in $$bases; do \
              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
            done`; \
if test -n "$$redo_bases"; then \
  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  if $(am__make_dryrun); then :; else \
    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  fi; \
fi; \
if test -n "$$am__remaking_logs"; then \
  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
       "recursion detected" >&2; \
elif test -n "$$redo_logs"; then \
  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
fi; \
if $(am__make_dryrun); then :; else \
  st=0;  \
  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  for i in $$redo_bases; do \
    test -f $$i.trs && test -r $$i.trs \
      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
    test -f $$i.log && test -r $$i.log \
      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  done; \
  test $$st -eq 0 || exit 1; \
fi
@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
ws='[   ]'; \
results=`for b in $$bases; do echo $$b.trs; done`; \
test -n "$$results" || results=/dev/null; \
all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  success=true; \
else \
  success=false; \
fi; \
br='==================='; br=$$br$$br$$br$$br; \
result_count () \
{ \
    if test x"$$1" = x"--maybe-color"; then \
      maybe_colorize=yes; \
    elif test x"$$1" = x"--no-color"; then \
      maybe_colorize=no; \
    else \
      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
    fi; \
    shift; \
    desc=$$1 count=$$2; \
    if test $$maybe_colorize = yes && test $$count -gt 0; then \
      color_start=$$3 color_end=$$std; \
    else \
      color_start= color_end=; \
    fi; \
    echo "$${color_start}# $$desc $$count$${color_end}"; \
}; \
create_testsuite_report () \
{ \
  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  result_count $$1 "PASS: " $$pass  "$$grn"; \
  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  result_count $$1 "FAIL: " $$fail  "$$red"; \
  result_count $$1 "XPASS:" $$xpass "$$red"; \
  result_count $$1 "ERROR:" $$error "$$mgn"; \
}; \
{                                                               \
  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
    $(am__rst_title);                                           \
  create_testsuite_report --no-color;                           \
  echo;                                                         \
  echo ".. contents:: :depth: 2";                               \
  echo;                                                         \
  for b in $$bases; do echo $$b; done                           \
    | $(am__create_global_log);                                 \
} >$(TEST_SUITE_LOG).tmp || exit 1;                             \
mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
if $$success; then                                              \
  col="$$grn";                                                  \
 else                                                           \
  col="$$red";                                                  \
  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
fi;                                                             \
echo "$${col}$$br$${std}";                                      \
echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
echo "$${col}$$br$${std}";                                      \
create_testsuite_report --maybe-color;                          \
echo "$$col$$br$$std";                                          \
if $$success; then :; else                                      \
  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
  if test -n "$(PACKAGE_BUGREPORT)"; then                       \
    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  fi;                                                           \
  echo "$$col$$br$$std";                                        \
fi;                                                             \
$$success || exit 1

check-TESTS:

@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
@set +e; $(am__set_TESTS_bases); \
log_list=`for i in $$bases; do echo $$i.log; done`; \
trs_list=`for i in $$bases; do echo $$i.trs; done`; \
log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
exit $$?;

recheck: all

@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
@set +e; $(am__set_TESTS_bases); \
bases=`for i in $$bases; do echo $$i; done \
         | $(am__list_recheck_tests)` || exit 1; \
log_list=`for i in $$bases; do echo $$i.log; done`; \
log_list=`echo $$log_list`; \
$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
        am__force_recheck=am--force-recheck \
        TEST_LOGS="$$log_list"; \
exit $$?

unittest.log: unittest$(EXEEXT)

@p='unittest$(EXEEXT)'; \
b='unittest'; \
$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
--log-file $$b.log --trs-file $$b.trs \
$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
"$$tst" $(AM_TESTS_FD_REDIRECT)

.test.log:

@p='$<'; \
$(am__set_b); \
$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
--log-file $$b.log --trs-file $$b.trs \
$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
"$$tst" $(AM_TESTS_FD_REDIRECT)

@am__EXEEXT_TRUE@.test$(EXEEXT).log: @am__EXEEXT_TRUE@ @p='$<'; \ @am__EXEEXT_TRUE@ $(am__set_b); \ @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) –test-name “$$f” \ @am__EXEEXT_TRUE@ –log-file $$b.log –trs-file $$b.trs \ @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) – $(TEST_LOG_COMPILE) \ @am__EXEEXT_TRUE@ “$$tst” $(AM_TESTS_FD_REDIRECT)

distdir: $(DISTFILES)

    @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    list='$(DISTFILES)'; \
      dist_files=`for file in $$list; do echo $$file; done | \
      sed -e "s|^$$srcdirstrip/||;t" \
          -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    case $$dist_files in \
/*) eval $(MKDIR_P) `echo "$$dist_files" | \
                       sed '/\//!d;s|^|"$(distdir)"/|;s,/[^/]*$$,,' | \
                       sort -u` ;; \
    esac; \
    for file in $$dist_files; do \
      if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
      if test -d $$d/$$file; then \
        dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
        if test -d "$(distdir)/$$file"; then \
          find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
        fi; \
        if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
          cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
          find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
        fi; \
        cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
      else \
        test -f "$(distdir)/$$file" \
        || cp -p $$d/$$file "$(distdir)/$$file" \
        || exit 1; \
      fi; \
    done
    @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
      if test "$$subdir" = .; then :; else \
        $(am__make_dryrun) \
          || test -d "$(distdir)/$$subdir" \
          || $(MKDIR_P) "$(distdir)/$$subdir" \
          || exit 1; \
        dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
        $(am__relativize); \
        new_distdir=$$reldir; \
        dir1=$$subdir; dir2="$(top_distdir)"; \
        $(am__relativize); \
        new_top_distdir=$$reldir; \
        echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
        echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
        ($(am__cd) $$subdir && \
          $(MAKE) $(AM_MAKEFLAGS) \
            top_distdir="$$new_top_distdir" \
            distdir="$$new_distdir" \
            am__remove_distdir=: \
            am__skip_length_check=: \
            am__skip_mode_fix=: \
            distdir) \
          || exit 1; \
      fi; \
    done

check-am: all-am

$(MAKE) $(AM_MAKEFLAGS) check-TESTS

check: check-recursive all-am: Makefile $(PROGRAMS) installdirs: installdirs-recursive installdirs-am: install: install-recursive install-exec: install-exec-recursive install-data: install-data-recursive uninstall: uninstall-recursive

install-am: all-am

@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive install-strip:

if test -z '$(STRIP)'; then \
  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
      install; \
else \
  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
fi

mostlyclean-generic:

-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)

clean-generic:

distclean-generic:

-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:

@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."

clean: clean-recursive

clean-am: clean-generic clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-recursive

-rm -rf ./$(DEPDIR)
-rm -f Makefile

distclean-am: clean-am distclean-compile distclean-generic \

distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am:

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am:

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

-rm -rf ./$(DEPDIR)
-rm -f Makefile

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am:

.MAKE: $(am__recursive_targets) check-am install-am install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \

check-TESTS check-am clean clean-generic clean-noinstPROGRAMS \
cscopelist-am ctags ctags-am distclean distclean-compile \
distclean-generic distclean-tags distdir dvi dvi-am html \
html-am info info-am install install-am install-data \
install-data-am install-dvi install-dvi-am install-exec \
install-exec-am install-html install-html-am install-info \
install-info-am install-man install-pdf install-pdf-am \
install-ps install-ps-am install-strip installcheck \
installcheck-am installdirs installdirs-am maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \
mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
uninstall uninstall-am

.PRECIOUS: Makefile

check: run_multiple_extensions_test

.PHONY: run_multiple_extensions_test

run_multiple_extensions_test:

$(RUBY) test_multiple_extensions.rb

check: run_multiple_extensions_with_inheritance_test

.PHONY: run_multiple_extensions_with_inheritance_test

run_multiple_extensions_with_inheritance_test:

$(RUBY) test_multiple_extensions_with_inheritance.rb

check: run_multiple_extensions_same_class_test

.PHONY: run_multiple_extensions_same_class_test

run_multiple_extensions_same_class_test:

$(RUBY) test_multiple_extensions_same_class.rb
$(RUBY_CPPFLAGS)

# Tell versions [3.59,3.63) of GNU make to not export all variables. # Otherwise a system limit (for SysV at least) may be exceeded. .NOEXPORT: